package com.tzy.mapper;

import com.tzy.pojo.app.StatsRecord;

import java.util.List;

/**
 * 统计明细Mapper接口
 *
 * @author tencheer
 * @date 2025-01-07
 */
public interface StatsRecordMapper {
    /**
     * 查询统计明细
     *
     * @param id 统计明细ID
     * @return 统计明细
     */
    public StatsRecord selectStatsRecordById(Long id);

    /**
     * 查询统计明细列表
     *
     * @param StatsRecord 统计明细
     * @return 统计明细集合
     */
    public List<StatsRecord> selectStatsRecordList(StatsRecord StatsRecord);

    /**
     * 新增统计明细
     *
     * @param StatsRecord 统计明细
     * @return 结果
     */
    public int insertStatsRecord(StatsRecord StatsRecord);

    /**
     * 修改统计明细
     *
     * @param StatsRecord 统计明细
     * @return 结果
     */
    public int updateStatsRecord(StatsRecord StatsRecord);

}
